Summary: A unique multiplayer wargame.
Name: liquidwar
Version: 5.4.5
Release: 2
Copyright: GPL
Group: Amusements/Games
Source: http://freesoftware.fsf.org/download/liquidwar/liquidwar-5.4.5.tar.gz
URL: http://www.ufoot.org/liquidwar
Vendor: Christian Mauduit <ufoot@ufoot.org>
Packager: Christian Mauduit <ufoot@ufoot.org>
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Liquid War is a unique multiplayer wargame. Its rules are
truely original and have been invented by Thomas Colcombet.
You control an army of liquid and have to try and eat your
opponents. A single player mode is available, but the game is
definitely designed to be multiplayer, and has network support.

# Preparation of the package
%prep
%setup
./configure --prefix=%{_prefix} --target=%{_target}

# Building the package
%build
make 

# Installing the package
# The "make uninstall" is important since it prevents rpm from
# putting old unused files in the archive.
%install
export DESTDIR=%{buildroot} && make uninstall && make install 

# Cleaning
%clean
rm -rf %{buildroot}

# Pre-install script
%pre

# Post-install script
# It basically adds the info page to the Top info page.
%post
if which install-info; then if test -d %{_prefix}/info; then if test -f %{_prefix}/info/dir; then install-info --info-dir=%{_prefix}/info %{_prefix}/share/info/liquidwar.info.gz; fi; fi; fi

# Pre-uninstall script
%preun

# Post-uninstall script
# It basically removes the info page to the Top info page.
%postun
if which install-info; then if test -d %{_prefix}/info; then if test -f %{_prefix}/info/dir; then install-info --info-dir=%{_prefix}/info --remove liquidwar; fi; fi; fi

%files
%defattr(-,root,root)
%{_prefix}/games/liquidwar
%{_prefix}/games/liquidwar-server
%{_prefix}/bin/liquidwar
%{_prefix}/bin/liquidwar-server
%{_prefix}/share/games/liquidwar/
%{_prefix}/share/doc/liquidwar/
%{_prefix}/share/man/man6/liquidwar.6.gz
%{_prefix}/share/man/man6/liquidwar-server.6.gz
%{_prefix}/share/info/liquidwar.info.gz
%{_prefix}/share/pixmaps/liquidwar.xpm

%changelog

* Tue Mar 12 2002 Christian Mauduit <ufoot@ufoot.org>
- Fixed some buildroot bugs
- Replaced install-info --infodir=... by --info-dir=...

* Mon Mar 11 2002 Christian Mauduit <ufoot@ufoot.org> 
- Recompiled with Allegro's rpm (fixes the error:
  "/usr/lib/liballeg.so.4.0: undefined symbol: _poly_scanline_gcol8")
- Fixed the post-install script

* Sat Feb 23 2002 Christian Mauduit <ufoot@ufoot.org> 
- Added proper "--target" support.
- Added info documentation with install and uninstall scripts

* Thu Jan 28 2002 Christian Mauduit <ufoot@ufoot.org> 
- My first rpm build of Liquid War

